{{- if .Values.serviceMonitor.enabled }}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "Atlantis.fullname" . }}
  namespace: {{ .Release.Namespace }}
spec:
  endpoints:
  - honorLabels: false
    path: /metrics
    port: http
  jobLabel: {{ .Values.serviceMonitor.label | default (include "Atlantis.fullname" .) }}
  namespaceSelector:
    matchNames:
    - {{ .Release.Namespace }}
  selector:
    matchLabels:
      app.kubernetes.io/instance: {{ include "Atlantis.fullname" . }}
      app.kubernetes.io/name: atlantis
{{- end }}
